# flutter_sound library

## Classes

FlutterSoundHelper
  `FlutterSoundHelper()` is a singleton which offers some utilities for handling audio files and buffers.
FlutterSoundPlayer
  A Player is an object that can playback from various sources.
FlutterSoundRecorder
  A Recorder is an object that can record to various destinations.
PlaybackDisposition
  Used to stream data about the position of the playback as playback proceeds.
RecordingDisposition
  Holds point in time details of the recording disposition including the current duration and decibels.
WaveHeader
  A Wave header.

## Enums

AudioSource
Codec
PlayerState
  The possible states of the Player.

## Constants

ext → const List<String>
  The usual file extensions used for each codecs
validExt → const List<List<String>>
  The valid file extensions for each codecs

## Properties

flutterSoundHelper ↔ FlutterSoundHelper
  The FlutterSoundHelper singleton for accessing the helpers functions
  getter/setter pair

## Typedefs

TWhenFinished = void Function()
  Playback function type for FlutterSoundPlayer.startPlayer().